Debian Bug report logs - #587553
RFP: bluej -- integrated Java environment

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: RalfGesellensetter <rgx@gmx.de>

Date: Tue, 29 Jun 2010 19:12:01 UTC

Severity: wishlist

Merged with 585696

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#587553; Package wnpp. (Tue, 29 Jun 2010 19:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to RalfGesellensetter <rgx@gmx.de>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 29 Jun 2010 19:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: RalfGesellensetter <rgx@gmx.de>
To: submit@bugs.debian.org
Subject: RFP: bluej -- educational environment for java development
Date: Tue, 29 Jun 2010 21:08:39 +0200
Package: wnpp
Severity: wishlist

* Package name    : bluej
  Version         : 3.0.0
  Upstream Author : Michael Kölling and many others
* URL             : http://bluej.org/download/files/bluej-300.deb
* License         : GNU GPL 2.0
  Description     : Integrated Java Environment for introductory teaching

 
"BlueJ is an integrated Java environment specifically designed for introductory teaching.

BlueJ was developed at a University specifically for the purpose of teaching object orientation with Java.

BlueJ is free!" (from their home page).

Recently, version 3.0 was released, and license was switched to GPL!

The author provides a debian package on his home page, but it has to be checked
if this package follows official policy.

I have been used BlueJ for years, in many German schools it is kind of compulsary.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#587553; Package wnpp. (Wed, 30 Jun 2010 08:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 30 Jun 2010 08:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 587553@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: RalfGesellensetter <rgx@gmx.de>, 587553@bugs.debian.org
Subject: Re: Bug#587553: RFP: bluej -- educational environment for java development
Date: Wed, 30 Jun 2010 10:29:26 +0200
[Message part 1 (text/plain, inline)]
On 2010-06-29 21:08, RalfGesellensetter wrote:
> Package: wnpp
> Severity: wishlist
> 
> * Package name    : bluej
>   Version         : 3.0.0
>   Upstream Author : Michael Kölling and many others
> * URL             : http://bluej.org/download/files/bluej-300.deb
> * License         : GNU GPL 2.0
>   Description     : Integrated Java Environment for introductory teaching
> 
>  
> "BlueJ is an integrated Java environment specifically designed for introductory teaching.
> 
> BlueJ was developed at a University specifically for the purpose of teaching object orientation with Java.
> 
> BlueJ is free!" (from their home page).
> 
> Recently, version 3.0 was released, and license was switched to GPL!
> 
> The author provides a debian package on his home page, but it has to be checked
> if this package follows official policy.
> 
> I have been used BlueJ for years, in many German schools it is kind of compulsary.
> 
> 
> 

Hi

I had a quick look at it and the GPL is good news, however ...

icons/license.txt:
  Copyright (c) for all BlueJ icons: Michael Kolling.
  Reproduction of the logos is permitted for non-commercial purposes.

  Use of the logo for commercial purposes or on items commercially
  sold is explicitly prohibited without written license.

 - cannot go into Debian main. Discriminates commercial use and does (as
far as I can tell) allow modifications. See the Debian Free Software
Guidelines[1].

It depends on "junit" (not sure what version), svnkit (+ javahl),
netbeans cvs client and possibly also some thing called "trilead". Other
than the junit, I am not sure of the status of those dependencies.

For anyone interested in working on this: upstreams bug tracker at [2]
and the source is available from [3]. I have been unable to locate a
public VCS for this project.

Also according to [4], BlueJ does not run with gij/gcj, so it will not
be available under some architectures (e.g. the kfreebsd ones).

~Niels

NB: I have not done a complete check of the source files in the source
zip to see if there some files under a different license than GPL and
the icon license (except for the third party libraries). So there may be
other problems.

[1] http://www.debian.org/social_contract#guidelines

[2] http://bugs.bluej.org/trac/bluej/wiki

[3] http://www.bluej.org/download/source-download.html

[4] http://www.bluej.org/download/install.html
  see "Unix:" paragraph 1.

[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'ITP: bluej -- educational environment for java development' from 'RFP: bluej -- educational environment for java development' Request was from Ryan Kavanagh <ryanakca@kubuntu.org> to control@bugs.debian.org. (Mon, 12 Jul 2010 10:12:06 GMT) Full text and rfc822 format available.

Owner recorded as ryanakca@kubuntu.org. Request was from Ryan Kavanagh <ryanakca@kubuntu.org> to control@bugs.debian.org. (Mon, 12 Jul 2010 10:12:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#587553; Package wnpp. (Mon, 02 Aug 2010 13:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to ryanakca@kubuntu.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 02 Aug 2010 13:09:06 GMT) Full text and rfc822 format available.

Message #19 received at 587553@bugs.debian.org (full text, mbox):

From: Ryan Kavanagh <ryanakca@kubuntu.org>
To: 587553@bugs.debian.org
Subject: Update
Date: Mon, 2 Aug 2010 09:05:25 -0400
[Message part 1 (text/plain, inline)]
Hi,

Packaging is pending the next upstream release. Upstream says that they forgot
about their old non-free icon license and that they'd relicense them in the next
release.

Cheers,
Ryan

-- 
|_)|_/  Ryan Kavanagh             |  GnuPG key
| \| \  http://ryanak.ca/         |  4A11C97A (Transitioning from E95EDDC9)   
        ()  ascii ribbon campaign - against html e-mail 
        /\  www.asciiribbon.org   - against proprietary attachments
        Ol qrpelcgvat guvf zrffntr lbh ner va ivbyngvba bs gur QZPN!
[signature.asc (application/pgp-signature, inline)]

Merged 585696 587553. Request was from Ryan Kavanagh <ryanakca@kubuntu.org> to control@bugs.debian.org. (Wed, 11 Aug 2010 16:03:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, ryanakca@kubuntu.org:
Bug#587553; Package wnpp. (Sun, 10 Oct 2010 18:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 587553@bugs.debian.org, Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, ryanakca@kubuntu.org. (Sun, 10 Oct 2010 18:48:03 GMT) Full text and rfc822 format available.

Message #26 received at 587553@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Ryan Kavanagh <ryanakca@kubuntu.org>, 587553@bugs.debian.org
Subject: Re: ITP: bluej
Date: Sun, 10 Oct 2010 20:27:41 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hey

Any news on this ITP? On the 2nd of August you reported that it was
stalled until the next upstream release (due to license issues).
According to [1] upstream released a new version on August 25th, though
it does not list any license changes.

Thank you in advance,
~Niels

[1] http://www.bluej.org/help/changes.html

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEAREIAAYFAkyyBZwACgkQVCqoiq1YlqzBsACfanNv0QcM6RxKuvuihgqiUvZA
Gz4Anjhzk2DlPeORGbzUDWEf46cfvFfN
=o3Fc
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#587553; Package wnpp. (Tue, 12 Oct 2010 16:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ryanakca@kubuntu.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 12 Oct 2010 16:06:03 GMT) Full text and rfc822 format available.

Message #31 received at 587553@bugs.debian.org (full text, mbox):

From: Ryan Kavanagh <ryanakca@kubuntu.org>
To: 587553@bugs.debian.org, Niels Thykier <niels@thykier.net>
Subject: Re: ITP: bluej
Date: Tue, 12 Oct 2010 12:03:42 -0400
[Message part 1 (text/plain, inline)]
Hi Niels,

On Sun, Oct 10, 2010 at 08:27:41PM +0200, Niels Thykier wrote:
> Any news on this ITP? On the 2nd of August you reported that it was
> stalled until the next upstream release (due to license issues).
> According to [1] upstream released a new version on August 25th, though
> it does not list any license changes.

Please accept my apologies, the ITP completely escaped my mind (I was
packaging it for work and my work term ended before I got to it).
License changes were included in the August 25th release. I'm still
interested in packaging BlueJ and have it partially packaged. I'll try
to complete it within the next two weeks (I'm swamped with exams and
essays this week). On the off chance I don't have it done by say, the
end of October, please feel free to take it over.

Sorry for the wait and kind regards,
Ryan
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, ryanakca@kubuntu.org:
Bug#587553; Package wnpp. (Tue, 12 Oct 2010 18:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, ryanakca@kubuntu.org. (Tue, 12 Oct 2010 18:15:02 GMT) Full text and rfc822 format available.

Message #36 received at 587553@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: ryanakca@kubuntu.org
Cc: 587553@bugs.debian.org
Subject: Re: ITP: bluej
Date: Tue, 12 Oct 2010 20:10:49 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On 2010-10-12 18:03, Ryan Kavanagh wrote:
> Hi Niels,
> 
> On Sun, Oct 10, 2010 at 08:27:41PM +0200, Niels Thykier wrote:
>> Any news on this ITP? On the 2nd of August you reported that it was
>> stalled until the next upstream release (due to license issues).
>> According to [1] upstream released a new version on August 25th, though
>> it does not list any license changes.
> 
> Please accept my apologies, the ITP completely escaped my mind (I was
> packaging it for work and my work term ended before I got to it).
> License changes were included in the August 25th release. I'm still
> interested in packaging BlueJ and have it partially packaged. I'll try
> to complete it within the next two weeks (I'm swamped with exams and
> essays this week). On the off chance I don't have it done by say, the
> end of October, please feel free to take it over.
> 
> Sorry for the wait and kind regards,
> Ryan

No worries; my todo list is long enough without BlueJ (and it probably
will be just as long far into November). I was just curious if you had
missed the new upstream release. :)

~Niels

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJMtKSnAAoJEAVLu599gGRCYb0QAK3G8FASbOSrINbZyx2FSjQ9
zp7w22WC0CiqdmXLJ1OoaRQH+dThBowG1TQXSQ9gOrJv7j+gbjEQfGSxp+NA9Trq
CimoQVnZs4FlE7+uMS3J9i2yzIhDcvjjF8877roiO/UxOheiGWlOo93pe8/8xol6
76fkGka2vPIA/RdWS5Lbdoy0YoxkM0s3ePPoYlgP9adoEFDFY1JZv8dOVzO0/bzv
ZudzHqC70IXf3Qfc4X0NOKJLVeQBsjvCCoKVvKtsoc4St37jXqF2xfbYmF4KZ4Ay
EbGq9GcTKfSnLuUYokAZufWTWwJ9w1l3Lv0f3iGoMpzyhkjs5VKSHL3aTckNMpFR
cBoVxnNDMOlJOG6oVi0tTx/GFlPBaCedww6O8dKgYLY/MwK25aLaG7+WgRKyFRzD
VqJYU0EKdkR9zLtZehsI0f4XN/264RQxUrKPwjUdBfFUNNq+IUbTEA/IaguO9fzc
mmqvGDEcn2IzyygIpo46EKFW3Xfrvozrp995I7QwuGP96BEI3dFwvd0V/iplxq3J
3MdyS50e5C11JZKc88/xDG2LQh+e4Jbc55uL0j3MK1O79qyi2/REpRps4Ie86LvH
Zc8vb+qt9T2/LTcC37yjE6YvRtset3zSiIQKepMln57ViAfstTol8c4Qcsq0Smga
GqL5dK55ePJdcUYpE6yC
=YGfC
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#587553; Package wnpp. (Fri, 15 Oct 2010 15:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ryanakca@kubuntu.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 15 Oct 2010 15:06:03 GMT) Full text and rfc822 format available.

Message #41 received at 587553@bugs.debian.org (full text, mbox):

From: Ryan Kavanagh <ryanakca@kubuntu.org>
To: Niels Thykier <niels@thykier.net>, 587553@bugs.debian.org
Subject: Re: Bug#587553: ITP: bluej
Date: Fri, 15 Oct 2010 11:04:14 -0400
Hi,

The BlueJ package is pending an update to Debian's netbeans packages,
it FTBFS with the current Debian version.

Kind regards,
Ryan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, ryanakca@kubuntu.org:
Bug#587553; Package wnpp. (Thu, 04 Nov 2010 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mònica <monica@probeta.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, ryanakca@kubuntu.org. (Thu, 04 Nov 2010 12:21:03 GMT) Full text and rfc822 format available.

Message #46 received at 587553@bugs.debian.org (full text, mbox):

From: Mònica <monica@probeta.net>
To: 587553@bugs.debian.org
Subject: giving a helping hand
Date: Thu, 4 Nov 2010 13:04:35 +0100
[Message part 1 (text/plain, inline)]
Hi,

I didn't see your ITP and was trying to package bluej. I suppose you have almost/already packaged it, but if you would like I give you a helping hand, here I am :-)

One curious question: how have you solved the AppleJavaExtensions.jar dependency?

Cheers and thanks for your work!

-- 
Mònica
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#587553; Package wnpp. (Thu, 04 Nov 2010 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ryanakca@kubuntu.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 04 Nov 2010 20:45:03 GMT) Full text and rfc822 format available.

Message #51 received at 587553@bugs.debian.org (full text, mbox):

From: Ryan Kavanagh <ryanakca@kubuntu.org>
To: Mònica <monica@probeta.net>, 587553@bugs.debian.org
Subject: Re: Bug#587553: giving a helping hand
Date: Thu, 4 Nov 2010 16:40:36 -0400
[Message part 1 (text/plain, inline)]
Hi Mònica,

On Thu, Nov 04, 2010 at 01:04:35PM +0100, Mònica wrote:
> I didn't see your ITP and was trying to package bluej. I suppose you
> have almost/already packaged it, but if you would like I give you a
> helping hand, here I am :-)

I'll gladly co-maintain it with you, I'll send you an email in a bit to
arrange it so as to not pollute the BTS.

> One curious question: how have you solved the AppleJavaExtensions.jar
> dependency?

I believe I patched out the references to it, there were only a handful
and they were all after a "Let's check and see if we're running under
MacOSX" call.

Kind regards,
Ryan Kavanagh
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#587553; Package wnpp. (Wed, 01 Dec 2010 19:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to ryanakca@kubuntu.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 01 Dec 2010 19:51:07 GMT) Full text and rfc822 format available.

Message #56 received at 587553@bugs.debian.org (full text, mbox):

From: Ryan Kavanagh <ryanakca@kubuntu.org>
To: 587553@bugs.debian.org
Subject: Porting BlueJ to netbeans-versioncontrol
Date: Wed, 1 Dec 2010 14:47:13 -0500
[Message part 1 (text/plain, inline)]
Hi folks,

Thought I'd post an update. The current plan is to port BlueJ from using
BlueJ-upstream's fork of netbeans-cvsclient to netbeans-versioncontrol
at some point in mid-December. BlueJ's upstream has kindly agreed to
apply our patch upstream.

This means that we will also need to package netbeans-versioncontrol.

Since libnetbeans-cvsclient-java is no longer maintained upstream (as
far as I can tell), it might be worth filing a bug against its sole
reverse dependency (libmaven-scm-java) so that we can get remove it from
the archives.

Kind regards,
Ryan Kavanagh
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITP: bluej -- integrated Java environment' from 'ITP: bluej -- educational environment for java development' Request was from bartm@knars.be to control@bugs.debian.org. (Thu, 07 Jun 2012 12:57:36 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: bluej -- integrated Java environment' from 'ITP: bluej -- integrated Java environment' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Fri, 16 Aug 2013 17:09:10 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by ryanakca@kubuntu.org. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Fri, 16 Aug 2013 17:09:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:28:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.